/**
 * ParticipationTargetSubject2.java
 *
 * File generated from the medication2::ParticipationTargetSubject2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationTargetSubject2.
 *
 * 
 */

@XmlType(name = "ParticipationTargetSubject")
@XmlEnum
@XmlRootElement(name = "ParticipationTargetSubject2")
public enum ParticipationTargetSubject2 {
	@XmlEnumValue("SBJ")
	SBJ("SBJ"),
	@XmlEnumValue("SPC")
	SPC("SPC");
	
	private final String value;

    ParticipationTargetSubject2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationTargetSubject2 fromValue(String v) {
        for (ParticipationTargetSubject2 c: ParticipationTargetSubject2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
